Name:           uqm
Version:        0.3
Release:        0.fdr.1.rh90
Epoch:          0
Summary:        The Ur-Quan Masters

Group:          Amusements/Games
License:        GPL
URL:            http://sc2.sourceforge.net/
Source0:        http://download.sourceforge.net/sc2/uqm-0.3-source.tgz
Source1:        %{name}.conf
Source2:        %{name}.desktop
Patch0:         %{name}-config.patch
Patch1:         %{name}-optflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel >= 0:1.2.3, SDL_image-devel, SDL_mixer-devel
BuildRequires:  libvorbis-devel, zlib-devel, perl, desktop-file-utils
BuildRequires:  ImageMagick
Requires:       %{name}-content >= 0:0.3

%description
The Ur-Quan Masters is a port of the classic game Star Control II to
modern systems.  The program code that comprises The Ur-Quan Masters
was derived from code written by Toys for Bob, Inc. for the 3DO
version of Star Control II, with their permission and encouragement.


%prep
%setup -q
%patch0 -p0
%patch1 -p0


%build
sh ./build.sh uqm < /dev/null
convert src/res/ur-quan-icon-std.ico uqm.png


%install
rm -rf $RPM_BUILD_ROOT

perl -pi -e \
  "s|/usr/local/games/bin/|$RPM_BUILD_ROOT%{_bindir}/|g ;
   s|/usr/local/games/lib/|$RPM_BUILD_ROOT%{_libdir}/games/|g ;
   s|/usr/local/games/share/|$RPM_BUILD_ROOT%{_datadir}/games/|g" \
  build.vars

sh ./build.sh uqm install

perl -pi -e \
  's|/usr/local/games/lib/uqm/uqm|%{_libdir}/games/uqm/uqm| ;
   s|/usr/local/games/share/uqm/content|%{_datadir}/games/uqm/content|g' \
  $RPM_BUILD_ROOT%{_bindir}/uqm

install -D -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/uqm.conf
perl -pi -e 's|/etc/|%{_sysconfdir}/|g' $RPM_BUILD_ROOT%{_sysconfdir}/uqm.conf

desktop-file-install \
  --vendor fedora \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
 %{SOURCE2}

install -D -p -m 644 uqm.png.5 $RPM_BUILD_ROOT%{_datadir}/pixmaps/uqm.png


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog Contributing COPYING README TODO WhatsNew
%doc doc/users/manual.txt
%config(noreplace) %{_sysconfdir}/uqm.conf
%{_bindir}/uqm
%{_libdir}/games/uqm
%{_datadir}/games/uqm
%{_datadir}/applications/*-%{name}.desktop
%{_datadir}/pixmaps/uqm.png


%changelog
* Sat Sep  6 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3-0.fdr.1
- Update to 0.3.
- Update description.
- Don't use libexecdir, it's not FHS compliant.

* Mon Jul  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.2-0.fdr.3
- Use desktop-file-utils.
- Spec cleanups.

* Sat Apr 26 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.2-0.fdr.2
- Add missing Epochs.
- Save .spec in UTF-8.

* Sun Mar 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.2-0.fdr.1
- First Fedora release.
- Update to 0.2.
- Separate content packages.
- Add patch for system default and per-user configurations.
- Move towards FHS compliant installation layout.
- Include icon for desktop entry.

* Sun Dec  1 2002 Ville Skyttä <ville.skytta at iki.fi> - 0.1-1cr
- Initial build.
